%define upstream_name    MooseX-App-Cmd
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Reads from config file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd) >= 0.321.0
BuildRequires: perl(App::Cmd::Command)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.91.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Object)
BuildRequires: perl(MooseX::Getopt)
BuildRequires: perl(MooseX::NonMoose)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module marries the App::Cmd manpage with the MooseX::Getopt manpage.

Use it like the App::Cmd manpage advises (especially see the
App::Cmd::Tutorial manpage), swapping the App::Cmd::Command manpage for the
MooseX::App::Cmd::Command manpage.

Then you can write your moose commands as moose classes, with the
MooseX::Getopt manpage defining the options for you instead of 'opt_spec'
returning a the Getopt::Long::Descriptive manpage spec.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.340.0-3.mga10
+ Revision: 2206930
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.340.0-2.mga9
+ Revision: 1814212
- Mageia 9 Mass Rebuild

* Fri Mar 19 2021 tv <tv> 0.340.0-1.mga9
+ Revision: 1704788
- update to 0.34

* Wed Feb 12 2020 umeabot <umeabot> 0.320.0-5.mga8
+ Revision: 1495658
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.320.0-4.mga7
+ Revision: 1269588
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.320.0-3.mga6
+ Revision: 1030324
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.320.0-2.mga6
+ Revision: 970017
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 884709
- update to 0.32

* Sat Jul 04 2015 sander85 <sander85> 0.310.0-1.mga6
+ Revision: 850519
- update to 0.31

* Thu Dec 11 2014 sander85 <sander85> 0.270.0-4.mga5
+ Revision: 802733
- Fix test
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- add exclude

* Sun Feb 09 2014 sander85 <sander85> 0.270.0-1.mga5
+ Revision: 587257
- update to 0.27

* Mon Oct 21 2013 umeabot <umeabot> 0.100.0-2.mga4
+ Revision: 537355
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 486848
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 370132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 268067
- update to 0.09

* Mon Mar 05 2012 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 218763
- update to 0.07

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 36429
- mageia rebuild
- imported package perl-MooseX-App-Cmd


* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 606877
- import perl-MooseX-App-Cmd

